LinuxQuestions.org
Register a domain and help support LQ
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Newbie
User Name
Password
Linux - Newbie This Linux forum is for members that are new to Linux.
Just starting out and have a question? If it is not in the man pages or the how-to's this is the place!

Notices


Reply
  Search this Thread
Old 01-12-2007, 01:34 AM   #16
Joe Soap
Member
 
Registered: Sep 2001
Location: Switzerland
Distribution: Debian, Sidux
Posts: 225

Original Poster
Rep: Reputation: 30

I couldn't find /dev/makedev.d/ on my system.

find / -iname makedev* gives the following output:

/dev/MAKEDEV
/dev/.static/dev/MAKEDEV
/etc/init.d/makedev
/var/lib/dpkg/info/makedev.md5sums
/var/lib/dpkg/info/makedev.prerm
/var/lib/dpkg/info/makedev.postrm
/var/lib/dpkg/info/makedev.list
/var/lib/dpkg/info/makedev.conffiles
/var/lib/dpkg/info/makedev.postinst
/var/lib/dpkg/info/makedev.preinst
/var/cache/apt/archives/makedev_2.3.1-83_all.deb
/var/cache/apt/archives/makedev_2.3.1-82_all.deb
/usr/share/doc/linux-doc-2.6.16.16-kanotix-1/Documentation/video4linux/bttv/MAKEDEV.gz
/usr/share/doc/makedev
/usr/share/man/man8/MAKEDEV.8.gz
/sbin/MAKEDEV

Would it help to post MAKEDEV?
 
Old 01-12-2007, 02:42 AM   #17
timmeke
Senior Member
 
Registered: Nov 2005
Location: Belgium
Distribution: Red Hat, Fedora
Posts: 1,515

Rep: Reputation: 61
Yes, try looking at /dev/MAKEDEV , /etc/init.d/makedev and sbin/MAKEDEV and
check if they run "mknod" to create pty device files.
 
Old 01-12-2007, 03:01 AM   #18
Joe Soap
Member
 
Registered: Sep 2001
Location: Switzerland
Distribution: Debian, Sidux
Posts: 225

Original Poster
Rep: Reputation: 30
/dev/MAKEDEV does not appear to do it. There's one reference to mknod in it (I'll try to post the entire /dev/MAKEDEV in the next msg if it isn't too long):

makedev () { # usage: makedev name [bcu] major minor owner group mode
if [ "$opt_v" ]
then if [ "$opt_d" ]
then echo "delete $1"
else echo "create $1 $2 $3 $4 $5:$6 $7"
fi
fi
# missing parameters are a bug - bail - should we do an exit 1 here?
case :$1:$2:$3:$4:$5:$6:$7: in
*::*) echo "Warning: MAKEDEV $@ is missing parameter(s)." >&2;;
esac
if [ ! "$opt_n" ]
then
if [ "$opt_d" ]
then
rm -f $1
else
rm -f $1-
if mknod $1- $2 $3 $4 &&
chown $5:$6 $1- &&
chmod $7 $1- &&
mv $1- $1
then
: # it worked
else
# Didn't work, clean up any mess...
echo "makedev $@: failed"
rm -f $1-
fi
fi
fi
}
----------

/etc/init.d/makedev has no reference to mknod

/sbin/MAKEDEV appears to be identical to /dev/MAKEDEV and only has one reference to mknod:

makedev () { # usage: makedev name [bcu] major minor owner group mode
if [ "$opt_v" ]
then if [ "$opt_d" ]
then echo "delete $1"
else echo "create $1 $2 $3 $4 $5:$6 $7"
fi
fi
# missing parameters are a bug - bail - should we do an exit 1 here?
case :$1:$2:$3:$4:$5:$6:$7: in
*::*) echo "Warning: MAKEDEV $@ is missing parameter(s)." >&2;;
esac
if [ ! "$opt_n" ]
then
if [ "$opt_d" ]
then
rm -f $1
else
rm -f $1-
if mknod $1- $2 $3 $4 &&
chown $5:$6 $1- &&
chmod $7 $1- &&
mv $1- $1
then
: # it worked
else
# Didn't work, clean up any mess...
echo "makedev $@: failed"
rm -f $1-
fi
fi
fi
}
--------------
 
Old 01-12-2007, 03:03 AM   #19
Joe Soap
Member
 
Registered: Sep 2001
Location: Switzerland
Distribution: Debian, Sidux
Posts: 225

Original Poster
Rep: Reputation: 30
Sorry, the entire /dev/MAKEDEV is too long to be posted. What can I look at to give you more info?
 
Old 01-12-2007, 10:06 AM   #20
timmeke
Senior Member
 
Registered: Nov 2005
Location: Belgium
Distribution: Red Hat, Fedora
Posts: 1,515

Rep: Reputation: 61
Please post /etc/init.d/makedev.
The MAKEDEV's you posted seem to actually create device files,
so we'll need to look for scripts that run them (ie at startup).
 
Old 01-15-2007, 02:37 AM   #21
Joe Soap
Member
 
Registered: Sep 2001
Location: Switzerland
Distribution: Debian, Sidux
Posts: 225

Original Poster
Rep: Reputation: 30
here it is:

#! /bin/sh

### BEGIN INIT INFO
# Provides: makedev
# Required-Start: $local_fs
# Required-Stop: $local_fs
# Default-Start: 2 3 4 5
# Default-Stop: 0 1 6
# Short-Description: Creates device files in /dev
### END INIT INFO

N=/etc/init.d/makedev
PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin

set -e

case "$1" in
start)
test -L /dev/MAKEDEV || ln -fs /sbin/MAKEDEV /dev/MAKEDEV

# create dvb-devices, if the dvb-directory allready exists, and
# no devfs or udev is in use (workaround for the changed major-number
# of the dvb-devices, introduced in kernel 2.6.8, to be able to
# switch between kernels <= 2.6.7 and >= 2.6.8, without manual
# recreation of the devices (MAKEDEV dvb checks the kernel-version
# and uses the correct major-number))

if [ ! -e /dev/.devfsd -a ! -e /dev/.udevdb -a ! -e /dev/.udev ]; then
if [ -d /dev/dvb ]; then
cd /dev && ./MAKEDEV dvb
fi
fi

;;
stop|reload|restart|force-reload)
;;
*)
echo "Usage: $N {start|stop|restart|force-reload}" >&2
exit 1
;;
esac

exit 0
 
Old 01-16-2007, 03:52 AM   #22
Joe Soap
Member
 
Registered: Sep 2001
Location: Switzerland
Distribution: Debian, Sidux
Posts: 225

Original Poster
Rep: Reputation: 30
*** bump ***
 
Old 01-16-2007, 04:59 AM   #23
timmeke
Senior Member
 
Registered: Nov 2005
Location: Belgium
Distribution: Red Hat, Fedora
Posts: 1,515

Rep: Reputation: 61
Have you checked /etc/kde/kdm/kdmrc to see if root logins are allowed in KDE?
And have you updated your distro/packages lately?
 
Old 01-16-2007, 05:40 AM   #24
Joe Soap
Member
 
Registered: Sep 2001
Location: Switzerland
Distribution: Debian, Sidux
Posts: 225

Original Poster
Rep: Reputation: 30
Yes, root logins are allowed. I did do a dist-upgrade recently, but that was after I discovered the problems. According to the Kanotix website a dist-upgrade was the only way to fix the error

Could it be a problem with KDE and the kernel version (2.6.16.16-kanotix-1) that I'm running? My machine at home has kernel 2.6.18 (IIRC) and I do not have the problem there.
 
Old 01-16-2007, 08:14 AM   #25
timmeke
Senior Member
 
Registered: Nov 2005
Location: Belgium
Distribution: Red Hat, Fedora
Posts: 1,515

Rep: Reputation: 61
Did the website mention to which version you needed to upgrade? If it didn't, then chances are that you didn't upgrade to a version that's recent enough, like the one at your home seems to be.

Maybe you can do another upgrade? Or try to find the differences between your configuration at home with respect to the other one (starting with the files in /etc, more specifically those related to devices and/or KDE).
 
Old 01-17-2007, 02:17 AM   #26
Joe Soap
Member
 
Registered: Sep 2001
Location: Switzerland
Distribution: Debian, Sidux
Posts: 225

Original Poster
Rep: Reputation: 30
No, there was no mention of a version. Thanks for the tip - I'll compare the contents of /etc between my home pc and laptop. If that doesn't work, I'll try to do an upgrade again, as soon as my internet connection at home is restored.

Thanks very much for your help and patience. It's much appreciated.
 
Old 01-22-2007, 03:53 AM   #27
timmeke
Senior Member
 
Registered: Nov 2005
Location: Belgium
Distribution: Red Hat, Fedora
Posts: 1,515

Rep: Reputation: 61
You're welcome.
 
Old 02-09-2007, 06:39 AM   #28
Joe Soap
Member
 
Registered: Sep 2001
Location: Switzerland
Distribution: Debian, Sidux
Posts: 225

Original Poster
Rep: Reputation: 30
The problem appears to be solved.

I added a line to my fstab:

devpts /dev/pts devpts gid=5,mode=620 0 0

and it seems to have done the trick.
 
Old 03-03-2007, 11:35 AM   #29
nmpjackburton
LQ Newbie
 
Registered: Mar 2007
Posts: 1

Rep: Reputation: 0
I have a similar problem in OpenSUSE 10.2

Hello,

Have the su problem as you. Found that several files had their permissions set incorrectly.

/etc/sudoers
/usr/bin/sudo

I have NO idea what changed the permissions. I corrected those, and now I get "su returned with an error".

My fstab already has that line, yet I still can't use kdesu.

Last edited by nmpjackburton; 03-18-2007 at 01:36 PM.
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
'su' not found after KDE update madgenius SUSE / openSUSE 2 08-17-2006 09:48 AM
ar program not found jeffshen Mandriva 2 03-30-2006 06:05 AM
Problem with 'su' gri6507 Linux - Software 5 06-17-2005 10:11 AM
epsxe + program not found Micro420 Linux - Games 2 10-27-2003 11:07 AM
Can no longer 'su' tisource Linux - General 7 05-04-2003 04:20 PM


All times are GMT -5. The time now is 12:37 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration